javax.xml.stream.events

## Interface DTD

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface DTD
    extends XMLEvent

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDocumentTypeDeclaration()`
`java.util.List` `getEntities()`
`java.util.List` `getNotations()`
`java.lang.Object` `getProcessedDTD()`

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

### Method Detail

#### getDocumentTypeDeclaration

    java.lang.String getDocumentTypeDeclaration()

#### getEntities

    java.util.List getEntities()

#### getNotations

    java.util.List getNotations()

#### getProcessedDTD

    java.lang.Object getProcessedDTD()